<html xmlns:ng="http://angularjs.org" id="ng-app" ng-app>
<head>
    <title>Crypto explorer</title>

    <!--[if lte IE 8]>
    <script type="text/javascript" src="json3.min.js"/>
    <script type="text/javascript">
        document.createElement('ng-include');
        document.createElement('ng-pluralize');
        document.createElement('ng-view');

        // Optionally these for CSS
        document.createElement('ng:include');
        document.createElement('ng:pluralize');
        document.createElement('ng:view');
    </script>
    <![endif]-->

    <script type="text/javascript" src="jquery-1.8.1.min.js"></script>
    <link rel="stylesheet" href="bootstrap.css">
    <script type="text/javascript" src="angular-1.0.1.min.js"></script>
    <script type="text/javascript" src="angular-bootstrap-1.0.1.min.js"></script>
    <script type="text/javascript" src="crypto-explorer.js"></script>

    <!--[if IE 6]>
    <link href="ie6.min.css" rel="stylesheet">
    <![endif]-->
</head>
<body ng-controller="security">
<div class="container">

    <h1>Crypto Explorer</h1>

    <div class="row">

        <div ng-show="feedback" class="span12">
            <div class="alert alert-error">
                <button type="button" class="close" ng-click="close()">×</button>
                <div ng-repeat="feedbackMessage in feedback">
                    {{feedbackMessage}}
                </div>
            </div>
        </div>

        <div class="span4">
            <div class="well">
                <div class="form-search">
                    <label for="search">Search</label>
                    <input id="search" type="search" ng-model="query">
                </div>
                <ul class="nav nav-list">
                    <li ng-repeat="service in serviceList | filter:query">
                        <a ng-click="selectService(service)">
                            <i class="icon-chevron-right" style="float:right;"></i>
                            {{service.description}}
                            <span ng-show="service.hasDetail">*</span>
                        </a>
                    </li>
                </ul>

                <div class="form-actions">
                    <button ng-click="showJvmProperties()" class="btn btn-primary">
                        Show JVM properties
                        <i class="icon-white {{showJVMicon}}"></i>
                    </button>
                    <button ng-click="showRequestProperties()" class="btn btn-primary">
                        Show Request properties
                        <i class="icon-white {{showJVMicon}}"></i>
                    </button>
                    <button ng-click="loadBC()" class="btn btn-primary">
                        Load Bouncy Castle
                    </button>
                </div>

                <p>* = Has detail</p>
            </div>
        </div>

        <div class="span8" ng-show="selectedService">
            <div class="well">
                <h3>The current machine supports the following algorithms for
                    {{selectedService.service.description}}</h3>
                <table class="table table-bordered table-striped">
                    <thead>
                    <th>
                        Algorithm
                    </th>
                    <th>
                        Provider
                    </th>

                    <th ng-show="selectedService.service.hasDetail">
                        Actions
                    </th>

                    </thead>
                    <tbody>
                    <tr ng-repeat="element in selectedService">
                        <td>
                            {{element.algorithm}}
                        </td>
                        <td>
                            {{element.provider}}
                        </td>

                        <td ng-show="selectedService.service.hasDetail">
                            <a class="btn btn-primary" ng-click="selectElement(element)">
                                more
                                <i class="icon-white icon-chevron-down"></i>
                            </a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

            <div ng-show="currentElement && selectedService.service.hasDetail == 'SecureRandom'">
                <div class="well">
                    <form>
                        <h4>Operate on a secure random {{currentElement.algorithm}} provided by
                            {{currentElement.provider}}</h4>

                        <div class="form-actions">
                            <button class="btn btn-success" ng-click="findSecureRandoms(currentElement)">
                                find 119 random numbers
                                <i class="icon-white icon-ok"></i>
                            </button>
                        </div>
                    </form>
                    <div ng-show="randoms" class="row">
                        <div class="container-fluid">
                            <h4>Comming up... 119 secure random positive numbers smaller than a million</h4>
                        </div>
                        <div class="span1" ng-repeat="random in randoms" style="text-align: right">
                            {{random}}
                        </div>
                    </div>
                </div>
            </div>

            <div ng-show="currentElement && selectedService.service.hasDetail == 'KeyStore'">
                <div class="well">
                    <form>
                        <h4>Query a {{currentElement.algorithm}} Key Store on the server</h4>
                        <label for="key-store-path">KeyStore Path on the server</label>
                        <input type="text" id="key-store-path" ng-model="keystore.path">

                        <label for="key-store-password">Password</label>
                        <input type="password" id="key-store-password" ng-model="keystore.password">

                        <div class="form-actions">
                            <button class="btn btn-primary" ng-click="listKeystore(currentElement, keystore)">
                                List entries
                                <i class="icon-white icon-chevron-down"></i>
                            </button>
                        </div>
                    </form>
                </div>

                <div class="well" ng-show="keystoreContents">
                    <h4>Ta da!</h4>
                    <table class="table table-bordered table-striped">
                        <thead>
                        <th>
                            Alias
                        </th>
                        <th>
                            Actions
                        </th>
                        </thead>
                        <tbody>
                        <tr ng-repeat="keystoreElement in keystoreContents">
                            <td>
                                {{keystoreElement.alias}}
                            </td>
                            <td>
                                <a class="btn" ng-show="keystoreElement.isCert">
                                    What can I do with a certificate?
                                </a>
                                <a class="btn" ng-show="keystoreElement.isKey">
                                    What can I do with a key pair?
                                </a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="row" ng-show="jvmopts">
        <div class="span12">
            <div class="well">
                <button type="button" class="close" ng-click="closeJvm()">×</button>
                <div class="form-search">
                    <label for="searchproperty">Search</label>
                    <input id="searchproperty" type="search" ng-model="quertyjvmopts">
                </div>

                <h4>Jvm Properties</h4>
                <table class="table table-bordered table-striped">
                    <thead>
                    <th>
                        Key
                    </th>
                    <th>
                        value
                    </th>
                    </thead>
                    <tbody>
                    <tr ng-repeat="opt in jvmopts | filter:quertyjvmopts">
                        <td>
                            {{opt.key}}
                        </td>
                        <td>
                            {{opt.value}}
                        </td>
                    </tr>

                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="row" ng-show="requestProperties">
        <div class="span12">
            <div class="well">
                <button type="button" class="close" ng-click="closeRps()">×</button>

                <h4>Request Properties</h4>
                <table class="table table-bordered table-striped">
                    <thead>
                    <th>
                        value
                    </th>
                    </thead>
                    <tbody>
                    <tr ng-repeat="opt in requestProperties">
                        <td>
                            {{opt}}
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>
<!--[if IE 6]>
<script type="text/javascript">

    $(function() {
        $('.row div[class^="span"]:last-child').addClass('last-child');
        $('[class*="span"]').addClass('margin-left-20');
        $('[class*="span"][class*="offset"]').removeClass('margin-left-20');
        $(':button[class="btn"], :reset[class="btn"], :submit[class="btn"], input[type="button"]').addClass('button-reset');
        $(':checkbox').addClass('input-checkbox');
        $('[class^="icon-"], [class*=" icon-"]').addClass('icon-sprite');
        $('.pagination li:first-child a').addClass('pagination-first-child');
    });
</script>
<![endif]-->
</body>
</html>
